import Vue from 'vue';
import router from './router';
import store from './store';
// 微信JSSDK实例
const wx = Vue.prototype.wx;

const whiteList = ['/login', '/auth-redirect', '/bind', '/register'];

router.beforeEach((to, from, next) => {
  // 历史遗留问题 loginName和token参数都是唯一标识
  if (to.query.token || to.query.loginName)
    localStorage.setItem('loginName', to.query.token || to.query.loginName);
  const username = localStorage.getItem('loginName');
  if (username) {
    /* has token*/
    if (!store.state.user.userInfo) {
      // 获取移动端获取用户信息接口
      store
        .dispatch('getUserInfo')
        .then(() => {
          next();
        })
        .catch(() => {
          next();
        });
    } else {
      next();
    }
  } else {
    // 测试使用 账户密码登录页面，正式环境禁用
    if (to.path == '/login') {
      next();
    } else {
      alert('当前用户没有权限');
      wx.closeWindow();
    }
    // // 没有token
    // if (whiteList.indexOf(to.path) !== -1) {
    //   // 在免登录白名单，直接进入
    //   next();
    // } else {
    //     next(`/login?redirect=${to.fullPath}`); // 否则全部重定向到登录页
    //     NProgress.done();
    // }
  }
});
